Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class TogglePanelVisitState

    java.lang.Object
      org.richfaces.component.TogglePanelVisitState

    public class TogglePanelVisitState

extends Object

Author:
  Brian Leathem

Constructor Summary
`TogglePanelVisitState()`

Method Summary
`String` | `getClientId()`
`int` | `getCount()`
`AbstractTogglePanelItemInterface` | `getItem()`
`String` | `getName()`
`int` | `increment()`
`boolean` | `isDynamic()`
`void` | `setClientId(String clientId)`
`void` | `setDynamic(boolean dynamic)`
`void` | `setItem(AbstractTogglePanelItemInterface item)`
`void` | `setName(String name)`
`void` | `setState(String name, AbstractTogglePanelItemInterface item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TogglePanelVisitState

    public TogglePanelVisitState()

Method Detail

### setState

    public void setState(String name,
                         AbstractTogglePanelItemInterface item)

### getName

    public String getName()

### setName

    public void setName(String name)

### getCount

    public int getCount()

### getClientId

    public String getClientId()

### setClientId

    public void setClientId(String clientId)

### increment

    public int increment()

### getItem

    public AbstractTogglePanelItemInterface getItem()

### setItem

    public void setItem(AbstractTogglePanelItemInterface item)

### isDynamic

    public boolean isDynamic()

### setDynamic

    public void setDynamic(boolean dynamic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.